Description

Description of problem:

`hammer content-view version info --include-applied-filters true` shows new details about the filter rules now. Here are some

suggestions for further improvement:

1. Filters always show the `Original packages` and `Original module streams` fields regardless the filter type. `Original packages`

should be displayed for RPM filters only and `Original module streams` should be displayed for Module stream filter only.

[root@sat ~]# hammer content-view version info --include-applied-filters true --id 18

...

Has Applied Filters:    yes

Applied Filters:

...

5) Id:                      8

Name:                    Container image tag filter

Type:                    docker

Inclusion:               yes

Original packages:       no    <========

Original module streams: no    <========

Rules:

1) Id:                     1

Name:                   latest

Content view filter Id: 8

3. Filter rule info does not provide much useful information for some filter types, like modulemd. It should provide more info.

[root@sat ~]# hammer content-view filter rule info --content-view-filter-id 9 --id 1

Rule ID:   1

Filter ID: 9

Created:   2023/08/03 13:26:48

Updated:   2023/08/03 13:26:48

Version-Release number of selected component (if applicable):

6.14.0

How reproducible:

always

Steps to Reproduce:

1. Run `hammer content-view version info --include-applied-filters true --id <cvv_id>` for some CVV with appropriate filters and rules

applied.

2. Run `hammer content-view filter rule info --content-view-filter-id <cvf_id> --id <rule_id>`

Associated revisions

Revision 4ac06b46 - 03/21/2024 05:40 PM - Chris Roberts

Refs #37181 - Add module stream info to cv filter rules rabl
History

#1 - 02/19/2024 07:35 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/10895 added

#2 - 02/19/2024 08:06 PM - Chris Roberts

- Bugzilla link set to 2228909

#3 - 02/21/2024 06:37 PM - Samir Jha

- Triaged changed from No to Yes

#4 - 04/10/2024 07:01 PM - Ian Ballou

- Status changed from Ready For Testing to Closed

- Fixed in Releases Katello 4.13.0 added

Closing since the PR is merged.
